%define upstream_name    XML-LibXSLT
%define upstream_version 1.94

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: libgdbm-devel
BuildRequires: libxslt-devel
BuildRequires: perl-devel
Requires:   perl(XML::LibXML) >= 1.59

%{?perl_default_filter}

%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML


%changelog
* Mon Jun 06 2016 tv <tv> 1.940.0-5.mga6
+ Revision: 1020436
- rebuild for new libxslt (thus fixing perl-XML-Grammar-Vered's testsuite)

* Fri Feb 12 2016 umeabot <umeabot> 1.940.0-4.mga6
+ Revision: 958247
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.940.0-3.mga6
+ Revision: 845563
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.940.0-2.mga6
+ Revision: 840656
- Rebuild for the new perl

* Mon Jun 22 2015 sander85 <sander85> 1.940.0-1.mga6
+ Revision: 838622
- update to 1.94

* Wed Oct 15 2014 umeabot <umeabot> 1.920.0-5.mga5
+ Revision: 740543
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.920.0-4.mga5
+ Revision: 732643
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.920.0-3.mga5
+ Revision: 686936
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.920.0-2.mga5
+ Revision: 631881
- Rebuild for perl 5.20

* Tue Apr 15 2014 jquelin <jquelin> 1.920.0-1.mga5
+ Revision: 615062
- update to 1.92

* Thu Mar 13 2014 jquelin <jquelin> 1.890.0-1.mga5
+ Revision: 603057
- update to 1.89

* Tue Feb 25 2014 jquelin <jquelin> 1.880.0-1.mga5
+ Revision: 596999
- update to 1.88

* Mon Feb 10 2014 jquelin <jquelin> 1.870.0-1.mga5
+ Revision: 588842
- update to 1.87

* Mon Oct 21 2013 umeabot <umeabot> 1.810.0-2.mga4
+ Revision: 536937
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.810.0-1.mga4
+ Revision: 485973
- update to 1.81

* Wed May 29 2013 jquelin <jquelin> 1.800.0-2.mga4
+ Revision: 431837
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 1.800.0-1.mga4
+ Revision: 431546
- New version 1.80 + rebuild for new perl-5.18.0

* Wed May 29 2013 jquelin <jquelin> 1.780.0-3.mga4
+ Revision: 431289
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.780.0-2.mga3
+ Revision: 375056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.780.0-1.mga3
+ Revision: 295145
- update to 1.78

* Wed May 30 2012 jquelin <jquelin> 1.770.0-2.mga3
+ Revision: 251339
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.770.0-1.mga2
+ Revision: 219828
- update to 1.77

* Wed Jan 25 2012 jquelin <jquelin> 1.760.0-1.mga2
+ Revision: 201085
- update to 1.76

* Sat Nov 05 2011 kharec <kharec> 1.750.0-1.mga2
+ Revision: 163499
- update to 1.75

* Thu Nov 03 2011 jquelin <jquelin> 1.740.0-1.mga2
+ Revision: 162392
- update to 1.74

* Fri Oct 14 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 154904
- update to 1.73

* Mon Sep 26 2011 jquelin <jquelin> 1.710.0-1.mga2
+ Revision: 148502
- update to 1.71

* Sat Jun 11 2011 spuhler <spuhler> 1.700.0-4.mga2
+ Revision: 104084
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-3.mga1
+ Revision: 31490
- mageia rebuild
- imported package perl-XML-LibXSLT

